sage2psmcbor(1)

Name
sage2psmcbor - Convert files in JSON Sage result format to files in a CBOR-derived format (psmCBOR)

SYNOPSIS
        sage2psmcbor -o <output_file> <sage_json_file>

DESCRIPTION

The sage2psmcbor command line interface program performs the conversion of files from Sage search engine combining JSON and TSV inputs to a CBOR-based format (psmCBOR) that serializes Peptide Spectrum Matches (PSMs).

The Concise Binary Object Representation (CBOR) is a binary data format designed by the Internet Engineering Task Force (IETF, RFC 8949). Its aim is to increase processing and transfer speeds, albeit at the cost of human data readability.

    1.  Input

                •   The Sage search engine JSON output file. It contains the search parameters and The path to the associated Tabulated Separated Value file (TSV) containing PSMs.

    2.  Output

                •   A PSM results data file in the mzCBOR format

OPTIONS

-h [ --help ] Print the help message.

-v [ --version ] Print the version of the sotfware.

-o [ --output ] path to the psmCBOR output file or "-" to write output to stdout.

MAN PAGE PRODUCTION

This man page was written by Olivier Langella <olivier.langella@cnrs.fr> for the Debian package.

Author
Olivier Langella <olivier.langella@cnrs.fr>

Copyright
Olivier Langella & Filippo Rusconi